# CommonFieldType enum

Common field types

Inheritance
  - Object
  - Enum
  - CommonFieldType

## Constructors

CommonFieldType()
  const

## Values

None → const CommonFieldType

  Default value */

ID → const CommonFieldType

  Document ID */

Surname → const CommonFieldType

  Person surname name field. */

MaidenName → const CommonFieldType

  Person maiden name field. */

GivenNames → const CommonFieldType

  Person given names field */

BirthDate → const CommonFieldType

  Person birth date field */

Nationality → const CommonFieldType

  Person nationality field */

Birthplace → const CommonFieldType

  Person birthplace field */

ExpiryDate → const CommonFieldType

  Document expiry date field */

EyeColor → const CommonFieldType

  Person eye color field */

Height → const CommonFieldType

  Person height field */

IssueDate → const CommonFieldType

  Document issue date field */

IssuingAuthority → const CommonFieldType

  Document issuing authority field */

Address → const CommonFieldType

  Address field */

Pseudonym → const CommonFieldType

  Pseudonym field */

MRZ → const CommonFieldType

  MRZ field */

CountryCode → const CommonFieldType

  Country code (ISO-3166 Alpha-3) field */

Gender → const CommonFieldType

  Gender field */

Signature → const CommonFieldType

  Signature field */

Photo → const CommonFieldType

  Photo field */

ValidFromDate → const CommonFieldType

  Date of start of validity field */

RoutingNumber → const CommonFieldType

  Check routing number */

AccountNumber → const CommonFieldType

  Check account number */

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<CommonFieldType>
  A constant List of the values in this enum, in order of their declaration.
  `[None, ID, Surname, MaidenName, GivenNames, BirthDate, Nationality, Birthplace, ExpiryDate, EyeColor, Height, IssueDate, IssuingAuthority, Address, Pseudonym, MRZ, CountryCode, Gender, Signature, Phot…`